:root {
    --socials-bg: #F9FAFC;
    --border-color: #F4F4F4;
    --social-color: #6B6C6E;
    --active: #7774B5;
}
.social-links {
    display: flex;
    margin: 0.5rem auto 1rem auto;
    width: 100%;
    justify-content: center;
    list-style-type: none;
    gap: 1rem;
    flex-wrap: wrap;

}

.social-links a {
    background: var(--socials-bg);
    background: rgba(5, 150, 105, 0.1);
    padding: 0.5rem;
    border-radius: 0.5rem;
    display: flex;
    width: 3.5rem;
    height: 3.5rem;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    border: 1px solid var(--border-color);
    color: #000;
    transition: all 0.3s;
    position: relative;
}

.social-links a svg {
    width: 100%;
    height: 100%;
}

.social-links a:hover {
    color: #166e37;
    border: 1px solid #166e37;
}

.social-links a:hover svg {
    stroke: #166e37;
}

.social-links a:hover::after{
    opacity: 1;
}



.social-links a {
    background: rgba(5, 150, 105, 0.1);
    padding: 0.5rem;
    border-radius: 0.5rem;
    display: flex;
    width: 3.5rem;
    height: 3.5rem;
    align-items: center;
    justify-content: center;
    border: 1px solid var(--border-color);
    color: #000;
    transition: all 0.3s;
    position: relative;
    text-decoration: none;
    font-size: 24px;
}

.social-links a:hover {
  transform: scale(1.05);
}

/* Tooltip desde el atributo data-title */
.social-links a::after {
    content: attr(data-title);
    position: absolute;
    top: -45px;
    left: 50%;
    transform: translateX(-50%) translateY(5px);
    background: rgba(5, 150, 105, 0.1);
    color: #166e37;
    padding: 6px 10px;
    border-radius: 5px;
    font-size: 0.9rem;
    font-size: small;
    font-weight: bold;
    white-space: nowrap;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, transform 0.3s ease;
    pointer-events: none;
    z-index: 10;
    border: solid 1px #166e37;
}

.social-links a::before {
    content: '';
    position: absolute;
    top: -17px;
    left: 50%;
    transform: translateX(-50%);
    border-width: 10px;
    border-style: solid;
    border-color: #166e37 transparent transparent transparent;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease;
}

.social-links a:hover::after,
.social-links a:hover::before {
    opacity: 1;
    visibility: visible;
    transform: translateX(-50%) translateY(0);
}